Skip to content

List service credentials.

GET
/api/web/namespaces/{namespace}/service_credentials
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/service_credentials \
--header 'Authorization: <Authorization>'

Request to list service credentials created by user.

Examples of this operation.

namespace
required
string

Namespace Value of namespace is always “system”.

A successful response.

Media typeapplication/json
List service credential response

Response of request to list all of service credential objects.

object
items
List of the service credentials

List of service credential items.

Array<object>
List Service Credential item

Each item of service credential list request.

object
active
Active

Possibility to deactivate credential with no deletion.

boolean format: boolean
create_timestamp
Create timestamp

Create time of API credential.

string format: date-time
<= 1024 characters
expiry_timestamp
Expiry time

Expiry time of credential.

string format: date-time
<= 1024 characters
name
Credential name

Name of API credential object.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of API credential object.

string
>= 6 characters <= 1024 characters
namespace_access
object
namespace_role_map
Namespace Role Map

List of all the roles for the entity in the namespaces Required: YES.

object
type
string
default: API_CERTIFICATE
Allowed values: API_CERTIFICATE KUBE_CONFIG API_TOKEN SERVICE_API_TOKEN SERVICE_API_CERTIFICATE SERVICE_KUBE_CONFIG SITE_GLOBAL_KUBE_CONFIG SCIM_API_TOKEN SERVICE_SITE_GLOBAL_KUBE_CONFIG
uid
uuid of the record

UUID of API credential object.

string format: uuid
>= 36 characters <= 1024 characters
user_email
Email of user

User email of user that requested credential .

string
<= 1024 characters
user_group_names
User Groups Names

User group list associated to this service credential.

Array<string>
Example
{
"items": [
{
"type": "API_CERTIFICATE"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example